package org.project;

import org.project.entity.players.Player;
import org.project.location.Location;
import java.io.Serializable;

public class GameState implements Serializable {
    private static final long serialVersionUID = 1L;

    private Player player;
    private Location currentLocation;

    public GameState(Player player, Location currentLocation) {
        this.player = player;
        this.currentLocation = currentLocation;
    }

    public Player getPlayer() {
        return player;
    }

    public Location getCurrentLocation() {
        return currentLocation;
    }
}